#include<bits/stdc++.h>
using namespace std;

int a[2000000];

int main()
{
    int N;
    long long ans=0;

    cin >> N;

    for(int i = 0; i < N; i++)
    {
        cin >> a[i];
    }

    for(int i = 0; i < N; i++)
    {
        for(int k = i+1; k < N; k++)
        {
            bool r = true;
            if(a[i] > a[k])
            {
                for(int j = i+1; j < k; j++)
                {
                    if(a[j] > a[i])
                    {
                        r = false;
                        break;
                    }
                }
            }
            else
            {
                for(int j = k-1; j > i; j--)
                {
                    if(a[j] > a[k])
                    {
                        r = false;
                        break;
                    }
                }
            }

            if(r == true)
            {
                ans++;
                //cout << i << " " << k << endl;
            }
        }
    }

    cout << ans << endl;

    return 0;
}

